# Validator Supply

## Contents

* [Flows to Lido Contract](#flowtolidocont)
* [Supply in CL Contract](#splyclcont)
* [Supply in Lido Contract](#splylidocont)

## Flows to Lido Contract <a href="#flowtolidocont" id="flowtolidocont"></a>

### Definition

Daily sent to the Lido staking contract.

| Name                   | MetricID       | Unit         | Interval |
| ---------------------- | -------------- | ------------ | -------- |
| Flows to Lido Contract | FlowToLidoCont | Native Units | 1 day    |

### Details

* Daily amount of ETH sent to the Lido staking contract (0xae7ab96520de3a18e5e111b5eaab095312d7fe84), sourced from Coin Metrics ATLAS™ blockchain search engine.

### Release History

* Released September 2022.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/FlowToLidoCont>" %}

## Supply in CL Contract <a href="#splyclcont" id="splyclcont"></a>

### Definition

Total supply sent to the Consensus Layer (CL) Contract.

| Name                  | MetricID   | Unit         | Interval |
| --------------------- | ---------- | ------------ | -------- |
| Supply in CL Contract | SplyCLCont | Native Units | 1 day    |

### Details

* The total supply of ETH sent to the Consensus Layer (CL) smart contract (0x00000000219ab540356cBB839Cbe05303d7705Fa), sourced from Coin Metrics ATLAS™ blockchain search engine.

### Release History

* Released September 2022.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SplyCLCont>" %}

## Supply in Lido Contract <a href="#splylidocont" id="splylidocont"></a>

### Definition

Total sent to the Lido staking contract.

| Name                    | MetricID     | Unit         | Interval |
| ----------------------- | ------------ | ------------ | -------- |
| Supply in Lido Contract | SplyLidoCont | Native Units | 1 day    |

### Details

* Total ETH sent to the Lido staking contract (0xae7ab96520de3a18e5e111b5eaab095312d7fe84) over the daily interval, sourced from Coin Metrics ATLAS™ blockchain search engine.

### Release History

* Released September 2022.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SplyLidoCont>" %}

## API Endpoints

Validator Supply metrics can be accessed using these endpoints:

* `timeseries/asset-metrics`

and by passing in the metric ID's `SplyLido*` and `FlowToLidoCont` in the `metrics` parameter.

{% openapi src="<https://2398817338-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MO23j33wWGzm0NrZseN%2Fuploads%2Fgit-blob-1522f16027d90845f8750dd9c51c03b8e7aab67f%2Fopenapi.yaml?alt=media>" path="/timeseries/asset-metrics" method="get" %}
[openapi.yaml](https://2398817338-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MO23j33wWGzm0NrZseN%2Fuploads%2Fgit-blob-1522f16027d90845f8750dd9c51c03b8e7aab67f%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% tabs %}
{% tab title="Shell" %}

```shell
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=FlowToLidoCont&assets=eth&pretty=true&api_key=<your_key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=FlowToLidoCont&assets=eth&pretty=true&api_key=<your_key>').json()
print(response)
```

{% endtab %}

{% tab title="Python Client" %}

```python
from coinmetrics.api_client import CoinMetricsClient

api_key = "<API_KEY>"
client = CoinMetricsClient(api_key)

print(
    client.get_asset_metrics(
        metrics="FlowToLidoCont", 
        assets="eth",
    ).to_dataframe()
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/staking/validator-supply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
